bytechef:
  qubeKey: bytechef
  name: ByteChef
  version: 0.1.4
  chart: bytechef
  repo: registry-1.docker.io/bitnaprednost
  type: chart-helm-repository
  id: bytechef
  maturity: alpha

  ui:
    catalogItem: true
    maxNumOfInstances: 1
    icon: bytechef
    displayName: ByteChef
    shortDescription: API Integration Platform
    description: Bytechef integrates applications leaning to own connector implementation, or relying on present application REST endpoints described with OpenAPI specification. It's UI allows nontechnical user to transform payload prior proceeding it to the next party.
    links:
    - linkName: Homepage
      url: https://bytechef.io
    - linkName: Documentation
      url: https://github.com/bytechefhq/bytechef/tree/master/docs
    - linkName: Github
      url: https://github.com/bytechefhq/bytechef

  metadata:
    id: bytechef
    subdomain: "{{ defaults.workspace.subdomain }}"
    url: "{{ metadata.id }}.{{ defaults.workspace.subdomain }}.{{ defaults.workspace.domain }}"

  properties: {}

  schemaType: {}

  schemaData:
    redis:
      bytechef:
        required: false
        readOnly: false
        defaultValue: 
          bytechef_password:
            type: password
            displayName: "Redis password"
            defaultValue: "Password123!"
            readOnly: false
            required: true
            validationRegex: "^(?=.*[A-Z])(?=.*\\d)(?=.*[!@#$%^&*()_+{}\\[\\]:;<>,.?\\/~`\\-]).{8,}$"
    postgres:
      bytechef:
        required: false
        readOnly: false
        defaultValue: 
          bytechef_username:
            type: text
            displayName: "ByteChef username"
            defaultValue: "admin"
            readOnly: false
            required: true
            validationRegex: "^[a-zA-Z_][a-zA-Z_0-9]{2,}$"
          bytechef_password:
            type: password
            displayName: "ByteChef password"
            defaultValue: "Password123!"
            readOnly: false
            required: true
            validationRegex: "^(?=.*[A-Z])(?=.*\\d)(?=.*[!@#$%^&*()_+{}\\[\\]:;<>,.?\\/~`\\-]).{8,}$"
